FriBID forum

FriBID är ett fritt program för e-legitimation med BankID.

You are not logged in.

  1. Index
  2. » Support
  3. » Kompilering

#1 2012-10-26 18:34:47

Nille
Member
Registered: 2010-03-31

Kompilering

Jag får fel vid kompilering om jag inte har libp11 installerat även fast jag kompilerar utan smartcard stöd (PKCS#11 smartcard support disabled)
Enligt INSTALL så behövs endast libp11 om du vill kompilera med smartcard stöd, vill helst hålla nere beroenden på paket så vill kunna kompilera utan libp11.
Jag har tidigare i mina kompileringskript använt --disable-pkcs11   --enable-pkcs11    --optional-pkcs11 för att göra det valbart för användaren och för att kunna hålla nere beroenden, men nu fungerar det inte längre.
Så 1.0.1a löste nog inte alla bekymmer som fanns i 1.0.1 angående kompilera utan smartcard stöd.

Offline

#2 2012-10-26 18:59:25

samuellb
Administratör
Registered: 2010-02-15
Website

Re: Kompilering

Det är redan fixat i GIT (helt och hållet), har bara inte gjort någon release med fixen

724027 - Fix compilation error when building without PKCS#11 support

Offline

#3 2012-10-26 19:20:49

Nille
Member
Registered: 2010-03-31

Re: Kompilering

Tackar smile
Skulle du kunna släppa en ny utgåva snart då jag inte kan använda git p.g.a paketeringsregler?

Offline

#4 2012-10-26 20:11:27

samuellb
Administratör
Registered: 2010-02-15
Website

Re: Kompilering

Det är planerat, finns fler som behöver release/nya paket av olika anledningar.

Offline

  1. Index
  2. » Support
  3. » Kompilering

Board footer

Powered by FluxBB